%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%global srcname py-openhpi
%global svnrev 6930
%global svndate 20090109

Name:           python-openhpi
Version:        1.2
Release:        0.3.%{svndate}svn%{svnrev}%{?dist}
Summary:        Python interface for OpenHPI

Group:          Development/Languages
License:        BSD
URL:            http://www.openhpi.org
#Source0:        http://downloads.sourceforge.net/openhpi/%{srcname}-%{version}.tar.gz
# fedora-getsvn %{name} https://openhpi.svn.sourceforge.net/svnroot/openhpi/python/trunk %{svnrev}
Source0:        %{name}-svn%{svnrev}.tar.bz2
Patch0:         %{name}-totaltests.patch
Patch1:         %{name}-fumirollback.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel, swig, glib2-devel, openhpi-devel >= 2.10

%description
An extension module that makes it possible to access
HPI api functions and structures from the Python language.

It supports everything that is exposed through SaHpi.h,
SaHpiAtca.h, SaHpiBladeCenter.h, oHpi.h, and oh_utils.h.


%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1


%build
# the build must be run twice otherwise "openhpi.py" doesn't get installed properly
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
chmod 0755 $RPM_BUILD_ROOT%{python_sitearch}/*.so

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README
%{python_sitearch}/*


%changelog
* Tue Aug  3 2010 Dan Horák <dan[at]danny.cz> 1.2-0.3.20090109svn6930
- fix a typo in the saHpiFumiRollbackStart function

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.2-0.2.20090109svn6930
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jan 15 2010 Dan Horak <dan[at]danny.cz> 1.2-0.1.20090109svn6930
- update to svn 6930

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.1-2
- Rebuild for Python 2.6

* Fri Apr 18 2008 Dan Horak <dan[at]danny.cz> 1.1-1
- initial version
